<nb-card size="medium">
  <nb-card-body>
    <span class="h3 location">{{this.weatherInformation.location}}</span>
    <span class="date">{{this.weatherInformation.date}}</span>

    <div class="today">
      <span class="today-temperature h1">{{this.weatherInformation.temperature}}&deg;</span>
      <div [ngSwitch]="this.weatherInformation.type">
        <i *ngSwitchCase="'CLOUD'" class="today-icon ion-ios-cloudy-outline"></i>
        <i *ngSwitchCase="'SUN'" class="today-icon ion-ios-sunny-outline"></i>
        <i *ngSwitchCase="'RAIN'" class="today-icon ion-ios-rainy-outline"></i>
        <i *ngSwitchCase="'PARTLYSUNNY'" class="today-icon ion-ios-partlysunny-outline"></i>
      </div> 
    </div>

    <div class="today-details">
      <div class="parameter">
        <span class="caption parameter-name">max</span>
        <span class="parameter-value">{{this.weatherInformation.maxTemperature}}&deg;</span>
      </div>
      <div class="parameter">
        <span class="caption parameter-name">min</span>
        <span class="parameter-value">{{this.weatherInformation.minTemperature}}&deg;</span>
      </div>
      <div class="parameter">
        <span class="caption parameter-name">wind</span>
        <span class="parameter-value">{{this.weatherInformation.windSpeed}} km/h</span>
      </div>
      <div class="parameter">
        <span class="caption parameter-name">hum</span>
        <span class="parameter-value">{{this.weatherInformation.humidity}}%</span>
      </div>
    </div>

    <div class="weekly-forecast">

      <div *ngFor="let forecast of this.weatherInformation.forecast" class="day">
        <span class="caption">{{forecast.day}}</span>
        <div [ngSwitch]="forecast.type">
          <i *ngSwitchCase="'CLOUD'" class="weather-icon ion-ios-cloudy-outline"></i>
          <i *ngSwitchCase="'SUN'" class="weather-icon ion-ios-sunny-outline"></i>
          <i *ngSwitchCase="'RAIN'" class="weather-icon ion-ios-rainy-outline"></i>
          <i *ngSwitchCase="'PARTLYSUNNY'" class="weather-icon ion-ios-partlysunny-outline"></i>
        </div> 
        <span class="temperature">{{forecast.temperature}}&deg;</span>
      </div>
    </div>
  </nb-card-body>
</nb-card>
